Bug 142583 - 7.1.3.2: configure fails on gcc visibility options checks
Summary: 7.1.3.2: configure fails on gcc visibility options checks
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dev-related
  Show dependency treegraph
 
Reported: 2021-05-31 12:39 UTC by Tomasz Kłoczko
Modified: 2022-03-13 03:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz Kłoczko 2021-05-31 12:39:28 UTC
gcc 11.1.1 from Fedora rawhide.

Build:

./autogen.sh
%configure \
        %{?archoptions} \
        --disable-assert-always-abort \
        --disable-breakpad \
        --disable-ccache \
        --disable-coinmp \
        --disable-community-flavor \
        --disable-compiler-plugins \
        --disable-compiler-plugins-analyzer-pch \
        --disable-crashdump \
        --disable-cve-tests \
        --disable-dbgutil \
        --disable-debug \
        --disable-epm \
        --disable-extension-update \
        --disable-fetch-external \
        --disable-fuzzers \
        --disable-gdb-index \
        --disable-gstreamer-1-0 \
        --disable-library-bin-tar \
        --disable-lto \
        --disable-online-update \
        --disable-pch \
        --disable-pdfium \
        --disable-randr \
        --disable-report-builder \
        --disable-sal-log \
        --disable-skia \
        --disable-split-debug \
        --disable-split-opt-features \
        --disable-vlc \
        --disable-werror \
        --enable-avahi \
        --enable-avmedia \
        --enable-bundle-mariadb \
        --enable-cairo-canvas \
        --enable-chart-tests \
        --enable-coinmp \
        --enable-cups \
        --enable-database-connectivity \
        --enable-dbus \
        --enable-dconf \
        --enable-dynamic-loading \
        --enable-eot \
        --enable-evolution2 \
        --enable-ext-ct2n \
        --enable-extension-integration \
        --enable-extensions \
        --enable-ext-languagetool \
        --enable-ext-nlpsolver \
        --enable-ext-wiki-publisher \
        --enable-firebird-sdbc \
        --enable-formula-logger \
        --enable-gio \
        --enable-gpgmepp \
        --enable-gtk3 \
        --enable-gtk3-kde5 \
        --enable-gui \
        --enable-introspection \
        --enable-kf5 \
        --enable-largefile \
        --enable-ldap \
        --enable-ld=gold \
        --enable-lotuswordpro \
        --enable-lpsolve \
        --enable-mariadb-sdbc \
        --enable-mergelibs \
        --enable-odk \
        --disable-opencl \
        --enable-optimized \
        --enable-pdfimport \
        --enable-poppler \
        --enable-postgresql-sdbc \
        --enable-python=system \
        --enable-qrcodegen \
        --enable-release-build \
        --enable-runtime-optimizations \
        --enable-scripting \
        --enable-scripting-beanshell \
        --enable-scripting-javascript \
        --enable-sdremote \
        --enable-sdremote-bluetooth \
        --enable-split-app-modules \
        --enable-symbols \
        --with-alfresco-cloud-client-id \
        --with-alfresco-cloud-client-secret \
        --with-android-package-name="G2V" \
        --with-epm \
        --with-external-dict-dir=%{_datadir}/myspell \
        --with-external-hyph-dir \
        --with-external-tar="$EXTSRCDIR" \
        --with-external-thes-dir \
        --with-galleries=build \
        --with-gdrive-client-id \
        --with-gdrive-client-id="457862564325.apps.googleusercontent.com" \
        --with-gdrive-client-secret \
        --with-gdrive-client-secret="GYWrDtzyZQZ0_g5YoBCC6F0I" \
        --with-gssapi \
        --with-help \
        --with-krb5 \
        --with-lang='%{langpack_langs}' \
        --with-latest-c++ \
        --with-omindex=server \
        --with-onedrive-client-id \
        --with-onedrive-client-secret \
        --without-export-validation \
        --without-fonts \
        --without-lxml \
        --without-symbol-config \
        --without-system-hsqldb \
        --with-package-version='%{version}-%{release}' \
        --with-parallelism=$SMP_MFLAGS \
        --with-product-name='G2V LibreOffice Suite' \
        --with-system-dicts \
        --with-system-libs \
        --with-system-ucpp \
        --with-valgrind \
        --with-vendor="G2V" \
        %{nil}

I'm injecting int configure env variables:

$ rpm -E %set_build_flags

CFLAGS="-O2 -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fdata-sections -ffunction-sections -flto=auto -flto-partition=none";
CXXFLAGS="-O2 -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fdata-sections -ffunction-sections -flto=auto -flto-partition=none";
FFLAGS="-O2 -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fdata-sections -ffunction-sections -flto=auto -flto-partition=none -I/usr/lib64/gfortran/modules";
FCFLAGS="-O2 -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fdata-sections -ffunction-sections -flto=auto -flto-partition=none -I/usr/lib64/gfortran/modules";
LDFLAGS="-Wl,-z,relro -Wl,--as-needed -Wl,--gc-sections -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto=auto -flto-partition=none -fuse-linker-plugin";
CC="/usr/bin/gcc"; CXX="/usr/bin/g++"; FC="/usr/bin/gfortran";
AR="/usr/bin/gcc-ar"; NM="/usr/bin/gcc-nm"; RANLIB="/usr/bin/gcc-ranlib";
export CFLAGS CXXFLAGS FFLAGS FCFLAGS LDFLAGS CC CXX FC AR NM RANLIB;

and configure fails on:

checking if STL headers are visibility safe (GCC bug 22482)... yes
checking if g++ is -fvisibility-inlines-hidden safe (Clang bug 11250)... yes
checking if g++ has a visibility bug with class-level attributes (GCC bug 26905)... yes
configure: error: Your gcc is not -fvisibility=hidden safe. This is no longer supported.

Fragment from config.log:

configure:20874: checking whether /usr/bin/g++ can compile FMA intrinsics
configure:20895: /usr/bin/g++ -c -O2 -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fdata-sections -ffunction-sections -flto=auto -flto-partition=none -mfma  conftest.cpp >&5
conftest.cpp: In function 'int main()':
conftest.cpp:88:97: warning: variable 'd' set but not used [-Wunused-but-set-variable]
   88 |         __m256 a = _mm256_set1_ps (0.0f), b = _mm256_set1_ps (0.0f), c = _mm256_set1_ps (0.0f), d;
      |                                                                                                 ^
configure:20895: $? = 0
configure:20909: result: yes
configure:20942: checking if STL headers are visibility safe (GCC bug 22482)
configure:20958: result: yes
configure:20968: checking if g++ is -fvisibility-inlines-hidden safe (Clang bug 11250)
configure:21001: result: yes
configure:21008: checking if g++ has a visibility bug with class-level attributes (GCC bug 26905)
configure:21041: result: yes
configure:21044: error: Your gcc is not -fvisibility=hidden safe. This is no longer supported.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_alignof_double=8
ac_cv_alignof_int=4
ac_cv_alignof_long=8
ac_cv_alignof_short=2
ac_cv_build=x86_64-redhat-linux-gnu
ac_cv_c_bigendian=no
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_ABW_CFLAGS_set=
ac_cv_env_ABW_CFLAGS_value=
ac_cv_env_ABW_LIBS_set=
ac_cv_env_ABW_LIBS_value=
ac_cv_env_APR_CFLAGS_set=
ac_cv_env_APR_CFLAGS_value=
ac_cv_env_APR_LIBS_set=
ac_cv_env_APR_LIBS_value=
ac_cv_env_AVAHI_CFLAGS_set=
ac_cv_env_AVAHI_CFLAGS_value=
ac_cv_env_AVAHI_LIBS_set=
ac_cv_env_AVAHI_LIBS_value=
ac_cv_env_BZIP2_CFLAGS_set=
ac_cv_env_BZIP2_CFLAGS_value=
ac_cv_env_BZIP2_LIBS_set=
ac_cv_env_BZIP2_LIBS_value=
ac_cv_env_CAIRO_CFLAGS_set=
ac_cv_env_CAIRO_CFLAGS_value=
ac_cv_env_CAIRO_LIBS_set=
ac_cv_env_CAIRO_LIBS_value=
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=set
ac_cv_env_CC_value=/usr/bin/gcc
ac_cv_env_CDR_CFLAGS_set=
ac_cv_env_CDR_CFLAGS_value=
ac_cv_env_CDR_LIBS_set=
ac_cv_env_CDR_LIBS_value=
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-O2 -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fdata-sections -ffunction-sections -flto=auto -flto-partition=none'
ac_cv_env_CLUCENE_CFLAGS_set=
ac_cv_env_CLUCENE_CFLAGS_value=
ac_cv_env_CLUCENE_LIBS_set=
ac_cv_env_CLUCENE_LIBS_value=
ac_cv_env_COINMP_CFLAGS_set=
ac_cv_env_COINMP_CFLAGS_value=
ac_cv_env_COINMP_LIBS_set=
ac_cv_env_COINMP_LIBS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPPUNIT_CFLAGS_set=
ac_cv_env_CPPUNIT_CFLAGS_value=
ac_cv_env_CPPUNIT_LIBS_set=
ac_cv_env_CPPUNIT_LIBS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CURL_CFLAGS_set=
ac_cv_env_CURL_CFLAGS_value=
ac_cv_env_CURL_LIBS_set=
ac_cv_env_CURL_LIBS_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=set
ac_cv_env_CXXFLAGS_value='-O2 -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fdata-sections -ffunction-sections -flto=auto -flto-partition=none'
ac_cv_env_CXX_set=set
ac_cv_env_CXX_value=/usr/bin/g++
ac_cv_env_DBUS_CFLAGS_set=
ac_cv_env_DBUS_CFLAGS_value=
ac_cv_env_DBUS_GLIB_CFLAGS_set=
ac_cv_env_DBUS_GLIB_CFLAGS_value=
ac_cv_env_DBUS_GLIB_LIBS_set=
ac_cv_env_DBUS_GLIB_LIBS_value=
ac_cv_env_DBUS_LIBS_set=
ac_cv_env_DBUS_LIBS_value=
ac_cv_env_DCONF_CFLAGS_set=
ac_cv_env_DCONF_CFLAGS_value=
ac_cv_env_DCONF_LIBS_set=
ac_cv_env_DCONF_LIBS_value=
ac_cv_env_EPOXY_CFLAGS_set=
ac_cv_env_EPOXY_CFLAGS_value=
ac_cv_env_EPOXY_LIBS_set=
ac_cv_env_EPOXY_LIBS_value=
ac_cv_env_EPUBGEN_CFLAGS_set=
ac_cv_env_EPUBGEN_CFLAGS_value=
ac_cv_env_EPUBGEN_LIBS_set=
ac_cv_env_EPUBGEN_LIBS_value=
ac_cv_env_ETONYEK_CFLAGS_set=
ac_cv_env_ETONYEK_CFLAGS_value=
ac_cv_env_ETONYEK_LIBS_set=
ac_cv_env_ETONYEK_LIBS_value=
ac_cv_env_EXPAT_CFLAGS_set=
ac_cv_env_EXPAT_CFLAGS_value=
ac_cv_env_EXPAT_LIBS_set=
ac_cv_env_EXPAT_LIBS_value=
ac_cv_env_FIREBIRD_CFLAGS_set=
ac_cv_env_FIREBIRD_CFLAGS_value=
ac_cv_env_FIREBIRD_LIBS_set=
ac_cv_env_FIREBIRD_LIBS_value=
ac_cv_env_FONTCONFIG_CFLAGS_set=
ac_cv_env_FONTCONFIG_CFLAGS_value=
ac_cv_env_FONTCONFIG_LIBS_set=
ac_cv_env_FONTCONFIG_LIBS_value=
ac_cv_env_FREEHAND_CFLAGS_set=
ac_cv_env_FREEHAND_CFLAGS_value=
ac_cv_env_FREEHAND_LIBS_set=
ac_cv_env_FREEHAND_LIBS_value=
ac_cv_env_FREETYPE_CFLAGS_set=
ac_cv_env_FREETYPE_CFLAGS_value=
ac_cv_env_FREETYPE_LIBS_set=
ac_cv_env_FREETYPE_LIBS_value=
ac_cv_env_GIO_CFLAGS_set=
ac_cv_env_GIO_CFLAGS_value=
ac_cv_env_GIO_LIBS_set=
ac_cv_env_GIO_LIBS_value=
ac_cv_env_GNUTLS_CFLAGS_set=
ac_cv_env_GNUTLS_CFLAGS_value=
ac_cv_env_GNUTLS_LIBS_set=
ac_cv_env_GNUTLS_LIBS_value=
ac_cv_env_GOBJECT_CFLAGS_set=
ac_cv_env_GOBJECT_CFLAGS_value=
ac_cv_env_GOBJECT_LIBS_set=
ac_cv_env_GOBJECT_LIBS_value=
ac_cv_env_GRAPHITE_CFLAGS_set=
ac_cv_env_GRAPHITE_CFLAGS_value=
ac_cv_env_GRAPHITE_LIBS_set=
ac_cv_env_GRAPHITE_LIBS_value=
ac_cv_env_GSTREAMER_1_0_CFLAGS_set=
ac_cv_env_GSTREAMER_1_0_CFLAGS_value=
ac_cv_env_GSTREAMER_1_0_LIBS_set=
ac_cv_env_GSTREAMER_1_0_LIBS_value=
ac_cv_env_GTK3_CFLAGS_set=
ac_cv_env_GTK3_CFLAGS_value=
ac_cv_env_GTK3_LIBS_set=
ac_cv_env_GTK3_LIBS_value=
ac_cv_env_HARFBUZZ_CFLAGS_set=
ac_cv_env_HARFBUZZ_CFLAGS_value=
ac_cv_env_HARFBUZZ_LIBS_set=
ac_cv_env_HARFBUZZ_LIBS_value=
ac_cv_env_HUNSPELL_CFLAGS_set=
ac_cv_env_HUNSPELL_CFLAGS_value=
ac_cv_env_HUNSPELL_LIBS_set=
ac_cv_env_HUNSPELL_LIBS_value=
ac_cv_env_ICU_CFLAGS_set=
ac_cv_env_ICU_CFLAGS_value=
ac_cv_env_ICU_LIBS_set=
ac_cv_env_ICU_LIBS_value=
ac_cv_env_LCMS2_CFLAGS_set=
ac_cv_env_LCMS2_CFLAGS_value=
ac_cv_env_LCMS2_LIBS_set=
ac_cv_env_LCMS2_LIBS_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='-Wl,-z,relro -Wl,--as-needed -Wl,--gc-sections -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto=auto -flto-partition=none -fuse-linker-plugin'
ac_cv_env_LIBATOMIC_OPS_CFLAGS_set=
ac_cv_env_LIBATOMIC_OPS_CFLAGS_value=
ac_cv_env_LIBATOMIC_OPS_LIBS_set=
ac_cv_env_LIBATOMIC_OPS_LIBS_value=
ac_cv_env_LIBCMIS_CFLAGS_set=
ac_cv_env_LIBCMIS_CFLAGS_value=
ac_cv_env_LIBCMIS_LIBS_set=
ac_cv_env_LIBCMIS_LIBS_value=
ac_cv_env_LIBEOT_CFLAGS_set=
ac_cv_env_LIBEOT_CFLAGS_value=
ac_cv_env_LIBEOT_LIBS_set=
ac_cv_env_LIBEOT_LIBS_value=
ac_cv_env_LIBEXSLT_CFLAGS_set=
ac_cv_env_LIBEXSLT_CFLAGS_value=
ac_cv_env_LIBEXSLT_LIBS_set=
ac_cv_env_LIBEXSLT_LIBS_value=
ac_cv_env_LIBEXTTEXTCAT_CFLAGS_set=
ac_cv_env_LIBEXTTEXTCAT_CFLAGS_value=
ac_cv_env_LIBEXTTEXTCAT_LIBS_set=
ac_cv_env_LIBEXTTEXTCAT_LIBS_value=
ac_cv_env_LIBLANGTAG_CFLAGS_set=
ac_cv_env_LIBLANGTAG_CFLAGS_value=
ac_cv_env_LIBLANGTAG_LIBS_set=
ac_cv_env_LIBLANGTAG_LIBS_value=
ac_cv_env_LIBNUMBERTEXT_CFLAGS_set=
ac_cv_env_LIBNUMBERTEXT_CFLAGS_value=
ac_cv_env_LIBNUMBERTEXT_LIBS_set=
ac_cv_env_LIBNUMBERTEXT_LIBS_value=
ac_cv_env_LIBPNG_CFLAGS_set=
ac_cv_env_LIBPNG_CFLAGS_value=
ac_cv_env_LIBPNG_LIBS_set=
ac_cv_env_LIBPNG_LIBS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_LIBXML_CFLAGS_set=
ac_cv_env_LIBXML_CFLAGS_value=
ac_cv_env_LIBXML_LIBS_set=
ac_cv_env_LIBXML_LIBS_value=
ac_cv_env_LIBXSLT_CFLAGS_set=
ac_cv_env_LIBXSLT_CFLAGS_value=
ac_cv_env_LIBXSLT_LIBS_set=
ac_cv_env_LIBXSLT_LIBS_value=
ac_cv_env_MDDS_CFLAGS_set=
ac_cv_env_MDDS_CFLAGS_value=
ac_cv_env_MDDS_LIBS_set=
ac_cv_env_MDDS_LIBS_value=
ac_cv_env_MSPUB_CFLAGS_set=
ac_cv_env_MSPUB_CFLAGS_value=
ac_cv_env_MSPUB_LIBS_set=
ac_cv_env_MSPUB_LIBS_value=
ac_cv_env_MWAW_CFLAGS_set=
ac_cv_env_MWAW_CFLAGS_value=
ac_cv_env_MWAW_LIBS_set=
ac_cv_env_MWAW_LIBS_value=
ac_cv_env_MYTHES_CFLAGS_set=
ac_cv_env_MYTHES_CFLAGS_value=
ac_cv_env_MYTHES_LIBS_set=
ac_cv_env_MYTHES_LIBS_value=
ac_cv_env_NEON_CFLAGS_set=
ac_cv_env_NEON_CFLAGS_value=
ac_cv_env_NEON_LIBS_set=
ac_cv_env_NEON_LIBS_value=
ac_cv_env_NSS_CFLAGS_set=
ac_cv_env_NSS_CFLAGS_value=
ac_cv_env_NSS_LIBS_set=
ac_cv_env_NSS_LIBS_value=
ac_cv_env_ODFGEN_CFLAGS_set=
ac_cv_env_ODFGEN_CFLAGS_value=
ac_cv_env_ODFGEN_LIBS_set=
ac_cv_env_ODFGEN_LIBS_value=
ac_cv_env_OPENSSL_CFLAGS_set=
ac_cv_env_OPENSSL_CFLAGS_value=
ac_cv_env_OPENSSL_LIBS_set=
ac_cv_env_OPENSSL_LIBS_value=
ac_cv_env_ORCUS_CFLAGS_set=
ac_cv_env_ORCUS_CFLAGS_value=
ac_cv_env_ORCUS_LIBS_set=
ac_cv_env_ORCUS_LIBS_value=
ac_cv_env_PAGEMAKER_CFLAGS_set=
ac_cv_env_PAGEMAKER_CFLAGS_value=
ac_cv_env_PAGEMAKER_LIBS_set=
ac_cv_env_PAGEMAKER_LIBS_value=
ac_cv_env_PKG_CONFIG_LIBDIR_set=
ac_cv_env_PKG_CONFIG_LIBDIR_value=
ac_cv_env_PKG_CONFIG_PATH_set=set
ac_cv_env_PKG_CONFIG_PATH_value=:/usr/lib64/pkgconfig:/usr/share/pkgconfig
ac_cv_env_PKG_CONFIG_set=
ac_cv_env_PKG_CONFIG_value=
ac_cv_env_POPPLER_CFLAGS_set=
ac_cv_env_POPPLER_CFLAGS_value=
ac_cv_env_POPPLER_LIBS_set=
ac_cv_env_POPPLER_LIBS_value=
ac_cv_env_POSTGRESQL_CFLAGS_set=
ac_cv_env_POSTGRESQL_CFLAGS_value=
ac_cv_env_POSTGRESQL_LIBS_set=
ac_cv_env_POSTGRESQL_LIBS_value=
ac_cv_env_PYTHON_set=
ac_cv_env_PYTHON_value=
ac_cv_env_QT5_GOBJECT_CFLAGS_set=
ac_cv_env_QT5_GOBJECT_CFLAGS_value=
ac_cv_env_QT5_GOBJECT_LIBS_set=
ac_cv_env_QT5_GOBJECT_LIBS_value=
ac_cv_env_QT5_XCB_CFLAGS_set=
ac_cv_env_QT5_XCB_CFLAGS_value=
ac_cv_env_QT5_XCB_ICCCM_CFLAGS_set=
ac_cv_env_QT5_XCB_ICCCM_CFLAGS_value=
ac_cv_env_QT5_XCB_ICCCM_LIBS_set=
ac_cv_env_QT5_XCB_ICCCM_LIBS_value=
ac_cv_env_QT5_XCB_LIBS_set=
ac_cv_env_QT5_XCB_LIBS_value=
ac_cv_env_QXP_CFLAGS_set=
ac_cv_env_QXP_CFLAGS_value=
ac_cv_env_QXP_LIBS_set=
ac_cv_env_QXP_LIBS_value=
ac_cv_env_REDLAND_CFLAGS_set=
ac_cv_env_REDLAND_CFLAGS_value=
ac_cv_env_REDLAND_LIBS_set=
ac_cv_env_REDLAND_LIBS_value=
ac_cv_env_REVENGE_CFLAGS_set=
ac_cv_env_REVENGE_CFLAGS_value=
ac_cv_env_REVENGE_LIBS_set=
ac_cv_env_REVENGE_LIBS_value=
ac_cv_env_SERF_CFLAGS_set=
ac_cv_env_SERF_CFLAGS_value=
ac_cv_env_SERF_LIBS_set=
ac_cv_env_SERF_LIBS_value=
ac_cv_env_STAROFFICE_CFLAGS_set=
ac_cv_env_STAROFFICE_CFLAGS_value=
ac_cv_env_STAROFFICE_LIBS_set=
ac_cv_env_STAROFFICE_LIBS_value=
ac_cv_env_VISIO_CFLAGS_set=
ac_cv_env_VISIO_CFLAGS_value=
ac_cv_env_VISIO_LIBS_set=
ac_cv_env_VISIO_LIBS_value=
ac_cv_env_WPD_CFLAGS_set=
ac_cv_env_WPD_CFLAGS_value=
ac_cv_env_WPD_LIBS_set=
ac_cv_env_WPD_LIBS_value=
ac_cv_env_WPG_CFLAGS_set=
ac_cv_env_WPG_CFLAGS_value=
ac_cv_env_WPG_LIBS_set=
ac_cv_env_WPG_LIBS_value=
ac_cv_env_WPS_CFLAGS_set=
ac_cv_env_WPS_CFLAGS_value=
ac_cv_env_WPS_LIBS_set=
ac_cv_env_WPS_LIBS_value=
ac_cv_env_XMKMF_set=
ac_cv_env_XMKMF_value=
ac_cv_env_XMLSEC_CFLAGS_set=
ac_cv_env_XMLSEC_CFLAGS_value=
ac_cv_env_XMLSEC_LIBS_set=
ac_cv_env_XMLSEC_LIBS_value=
ac_cv_env_XRANDR_CFLAGS_set=
ac_cv_env_XRANDR_CFLAGS_value=
ac_cv_env_XRANDR_LIBS_set=
ac_cv_env_XRANDR_LIBS_value=
ac_cv_env_XRENDER_CFLAGS_set=
ac_cv_env_XRENDER_CFLAGS_value=
ac_cv_env_XRENDER_LIBS_set=
ac_cv_env_XRENDER_LIBS_value=
ac_cv_env_ZMF_CFLAGS_set=
ac_cv_env_ZMF_CFLAGS_value=
ac_cv_env_ZMF_LIBS_set=
ac_cv_env_ZMF_LIBS_value=
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=x86_64-redhat-linux-gnu
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=x86_64-redhat-linux-gnu
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_header_cups_cups_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdio_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_sdt_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_syslog_h=yes
ac_cv_header_unistd_h=yes
ac_cv_header_valgrind_valgrind_h=yes
ac_cv_host=x86_64-redhat-linux-gnu
ac_cv_lib_cups_cupsPrintFiles=yes
ac_cv_objext=o
ac_cv_path_AWK=/usr/bin/gawk
ac_cv_path_BASH=/bin/sh
ac_cv_path_EGREP='/usr/bin/grep -E'
ac_cv_path_GPERF=/usr/bin/gperf
ac_cv_path_GREP=/usr/bin/grep
ac_cv_path_PERL=/usr/bin/perl
ac_cv_path_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_path_SED=/usr/bin/sed
ac_cv_path_ac_pt_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_prog_AR=/usr/bin/gcc-ar
ac_cv_prog_AWK=gawk
ac_cv_prog_CC=/usr/bin/gcc
ac_cv_prog_CPP='/usr/bin/gcc -E'
ac_cv_prog_CXXCPP='/usr/bin/g++ -E'
ac_cv_prog_NM=/usr/bin/gcc-nm
ac_cv_prog_RANLIB=/usr/bin/gcc-ranlib
ac_cv_prog_ac_ct_OBJDUMP=objdump
ac_cv_prog_ac_ct_READELF=readelf
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_prog_cc_c11=
ac_cv_prog_cc_g=yes
ac_cv_prog_cc_stdc=
ac_cv_prog_cxx_11=no
ac_cv_prog_cxx_cxx11=
ac_cv_prog_cxx_g=yes
ac_cv_prog_cxx_stdcxx=
ac_cv_search_dlsym=-ldl
ac_cv_sizeof_double=8
ac_cv_sizeof_int=4
ac_cv_sizeof_long=8
ac_cv_sizeof_long_long=8
ac_cv_sizeof_short=2
ac_cv_sizeof_voidp=8
ac_cv_sys_file_offset_bits=no
ac_cv_sys_largefile_CC=no
pkg_cv_FONTCONFIG_CFLAGS='-I/usr/include/freetype2 '
pkg_cv_FONTCONFIG_LIBS='-lfontconfig -lfreetype '
pkg_cv_LIBCMIS_CFLAGS='-I/usr/include/libcmis-0.5 -I/usr/include/libxml2 '
pkg_cv_LIBCMIS_LIBS='-lcmis-0.5 -lxml2 '

## ----------------- ##
## Output variables. ##
## ----------------- ##

ABW_CFLAGS=''
ABW_LIBS=''
AFLAGS=''
ALL_LANGS=''
ANDROID_APP_ABI=''
ANDROID_BINUTILS_PREBUILT_ROOT=''
ANDROID_GCC_TOOLCHAIN_VERSION=''
ANDROID_NDK_HOME=''
ANDROID_PACKAGE_NAME=''
ANDROID_SDK_HOME=''
ANT=''
ANT_HOME=''
ANT_LIB=''
APR_CFLAGS=''
APR_LIBS=''
AR='/usr/bin/gcc-ar'
ASSERT_ALWAYS_ABORT='FALSE'
ATL_INCLUDE=''
ATL_LIB=''
ATOMIC_LIB=''
AVAHI_CFLAGS=''
AVAHI_LIBS=''
AWK='/usr/bin/gawk'
BASH='/bin/sh'
BFFVALIDATOR=''
BFFVALIDATOR_EXE=''
BINDIR=''
BISON=''
BOOST_CPPFLAGS=''
BOOST_CXXFLAGS='-D_GLIBCXX_HAS_GTHREADS'
BOOST_DATE_TIME_LIB=''
BOOST_FILESYSTEM_LIB=''
BOOST_IOSTREAMS_LIB=''
BOOST_LDFLAGS=''
BOOST_LOCALE_LIB=''
BOOST_SYSTEM_LIB=''
BOX2D_CFLAGS=''
BOX2D_LIBS=''
BRAND_INTRO_IMAGES=''
BREAKPAD_SYMBOL_CONFIG=''
BSH_JAR=''
BUILDDIR='/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2'
BUILDING_PCH_WITH_OBJ=''
BUILD_POSTGRESQL_SDBC=''
BUILD_TYPE='LibO DESKTOP AVMEDIA DBCONNECTIVITY EXTENSIONS SCRIPTING DYNLOADING NATIVE HELP HELP'
BUILD_UNOWINREG=''
BUILD_X64=''
BUILD_X86=''
BUNDLE_MARIADB_CONNECTOR_C=''
BZIP2_CFLAGS=''
BZIP2_LIBS=''
CAIRO_CFLAGS=''
CAIRO_LIBS=''
CC='/usr/bin/gcc'
CCACHE=''
CCACHE_BIN=''
CCACHE_DEPEND_MODE=''
CC_FOR_BUILD='/usr/bin/gcc'
CDR_CFLAGS=''
CDR_LIBS=''
CFLAGS='-O2 -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fdata-sections -ffunction-sections -flto=auto -flto-partition=none'
CLANGDIR=''
CLANGLIBDIR=''
CLANGSYSINCLUDE=''
CLANGTOOLLIBS=''
CLANG_USE_LD=''
CLUCENE_CFLAGS=''
CLUCENE_LIBS=''
COINMP_CFLAGS=''
COINMP_LIBS=''
COM='GCC'
COMPATH='/usr'
COMPILER_PLUGINS=''
COMPILER_PLUGINS_ANALYZER_PCH=''
COMPILER_PLUGINS_COM_IS_CLANG=''
COMPILER_PLUGINS_CXX=''
COMPILER_PLUGINS_CXXFLAGS=''
COMPILER_PLUGINS_CXX_LINKFLAGS=''
COMPILER_PLUGINS_DEBUG=''
COMPILER_PLUGINS_TOOLING_ARGS=''
COM_IS_CLANG=''
CPP='/usr/bin/gcc -E'
CPPFLAGS=''
CPPUNIT_CFLAGS=''
CPPUNIT_LIBS=''
CPUNAME='X86_64'
CROSS_COMPILING=''
CT2N_EXTENSION_PACK=''
CURL=''
CURLCONFIG=''
CURL_CFLAGS=''
CURL_LIBS=''
CUSTOM_BRAND_DIR=''
CUSTOM_BRAND_IMAGES=''
CXX='/usr/bin/g++'
CXXCPP='/usr/bin/g++ -E'
CXXFLAGS='-O2 -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fdata-sections -ffunction-sections -flto=auto -flto-partition=none'
CXXFLAGS_CXX11='-std=c++20'
CXXFLAGS_INTRINSICS_AVX2='-mavx2'
CXXFLAGS_INTRINSICS_AVX512='-mavx512f -mavx512vl -mavx512bw -mavx512dq -mavx512cd'
CXXFLAGS_INTRINSICS_AVX='-mavx'
CXXFLAGS_INTRINSICS_F16C='-mf16c'
CXXFLAGS_INTRINSICS_FMA='-mfma'
CXXFLAGS_INTRINSICS_SSE2='-msse2'
CXXFLAGS_INTRINSICS_SSE41='-msse4.1'
CXXFLAGS_INTRINSICS_SSE42='-msse4.2'
CXXFLAGS_INTRINSICS_SSSE3='-mssse3'
CXX_FOR_BUILD='/usr/bin/g++'
CXX_X64_BINARY=''
CXX_X86_BINARY=''
DATADIR=''
DBUS_CFLAGS=''
DBUS_GLIB_CFLAGS=''
DBUS_GLIB_LIBS=''
DBUS_HAVE_GLIB=''
DBUS_LIBS=''
DCONF_CFLAGS=''
DCONF_LIBS=''
DEFAULT_BRAND_IMAGES=''
DEFAULT_CRASHDUMP_VALUE=''
DEFS=''
DEVENV=''
DICT_SYSTEM_DIR='file:///usr/share/myspell'
DISABLE_CVE_TESTS=''
DISABLE_DYNLOADING=''
DISABLE_GUI=''
DISABLE_OPENSSL=''
DISABLE_PYTHON=''
DLLTOOL=''
DLOPEN_LIBS='-ldl'
DOCDIR=''
DOXYGEN=''
DO_FETCH_TARBALLS=''
DPKG=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/usr/bin/grep -E'
ENABLE_ANDROID_EDITING=''
ENABLE_ANDROID_LOK=''
ENABLE_AVAHI=''
ENABLE_BREAKPAD=''
ENABLE_CAIRO_CANVAS=''
ENABLE_CHART_TESTS=''
ENABLE_CIPHER_OPENSSL_BACKEND=''
ENABLE_COINMP=''
ENABLE_CUPS='TRUE'
ENABLE_CURL=''
ENABLE_DBGUTIL=''
ENABLE_DBUS=''
ENABLE_DCONF=''
ENABLE_DEBUG=''
ENABLE_EOT=''
ENABLE_EVOAB2=''
ENABLE_EXTENSION_UPDATE=''
ENABLE_FIREBIRD_SDBC=''
ENABLE_FORMULA_LOGGER=''
ENABLE_FUZZERS=''
ENABLE_GDB_INDEX=''
ENABLE_GIO=''
ENABLE_GPGMEPP=''
ENABLE_GSTREAMER_1_0=''
ENABLE_GTK3=''
ENABLE_GTK3_KDE5=''
ENABLE_HTMLHELP='TRUE'
ENABLE_IOS_LIBREOFFICELIGHT_APP=''
ENABLE_JAVA='TRUE'
ENABLE_KF5=''
ENABLE_LDAP=''
ENABLE_LIBCMIS='TRUE'
ENABLE_LPSOLVE=''
ENABLE_LTO=''
ENABLE_LWP=''
ENABLE_MACOSX_SANDBOX=''
ENABLE_MARIADBC=''
ENABLE_MEDIAWIKI=''
ENABLE_NSS=''
ENABLE_ONLINE_UPDATE=''
ENABLE_ONLINE_UPDATE_MAR=''
ENABLE_OOENV='TRUE'
ENABLE_OPENGL_CANVAS=''
ENABLE_OPENGL_TRANSITIONS=''
ENABLE_OPTIMIZED='TRUE'
ENABLE_OPTIMIZED_DEBUG=''
ENABLE_PCH=''
ENABLE_PDFIMPORT=''
ENABLE_PDFIUM=''
ENABLE_POPPLER=''
ENABLE_QRCODEGEN=''
ENABLE_QT5=''
ENABLE_RANDR=''
ENABLE_RELEASE_BUILD='TRUE'
ENABLE_REPORTBUILDER=''
ENABLE_RUNTIME_OPTIMIZATIONS='TRUE'
ENABLE_SAL_LOG=''
ENABLE_SCRIPTING_BEANSHELL=''
ENABLE_SCRIPTING_JAVASCRIPT=''
ENABLE_SDREMOTE=''
ENABLE_SDREMOTE_BLUETOOTH=''
ENABLE_SILENT_MSI=''
ENABLE_SKIA=''
ENABLE_SKIA_DEBUG=''
ENABLE_SYMBOLS_FOR='all'
ENABLE_VALGRIND='TRUE'
ENABLE_VLC=''
ENABLE_WERROR=''
ENDIANNESS='little'
EPM=''
EPM_FLAGS=''
EPOXY_CFLAGS=''
EPOXY_LIBS=''
EPUBGEN_CFLAGS=''
EPUBGEN_LIBS=''
ETONYEK_CFLAGS=''
ETONYEK_LIBS=''
EXEEXT=''
EXPAT_CFLAGS=''
EXPAT_LIBS=''
FAKEROOT=''
FIND=''
FIREBIRDCONFIG=''
FIREBIRD_CFLAGS=''
FIREBIRD_LIBS=''
FLEX=''
FLUTE_JAR=''
FONTCONFIG_CFLAGS='-I/usr/include/freetype2 '
FONTCONFIG_LIBS=' -lfontconfig -lfreetype'
FONTFORGE=''
FREEHAND_CFLAGS=''
FREEHAND_LIBS=''
FREETYPE_CFLAGS=''
FREETYPE_LIBS=''
GAWK=''
GCC_HOME='/usr'
GCC_VERSION='1100'
GET_TASK_ALLOW_ENTITLEMENT=''
GIO_CFLAGS=''
GIO_LIBS=''
GIT_LINK_SRC=''
GIT_NEEDED_SUBMODULES='helpcontent2 helpcontent2 '
GIT_REFERENCE_SRC=''
GLM_CFLAGS=''
GNUCP=''
GNUMAKE_WIN_NATIVE=''
GNUPATCH=''
GNUTAR='gtar'
GNUTLS_CFLAGS=''
GNUTLS_LIBS=''
GOBJECT_CFLAGS=''
GOBJECT_LIBS=''
GPERF='/usr/bin/gperf'
GPG=''
GPGCONF=''
GPGMEPP_CFLAGS=''
GPGMEPP_LIBS=''
GPG_ERROR_CFLAGS=''
GPG_ERROR_LIBS=''
GRAPHITE_CFLAGS=''
GRAPHITE_LIBS=''
GREP='/usr/bin/grep'
GSSAPI_LIBS=''
GSTREAMER_1_0_CFLAGS=''
GSTREAMER_1_0_LIBS=''
GTK3_CFLAGS=''
GTK3_LIBS=''
HAMCREST_JAR=''
HARFBUZZ_CFLAGS=''
HARFBUZZ_LIBS=''
HAVE_BROKEN_GCC_WMAYBE_UNINITIALIZED=''
HAVE_CLANG_DEBUG_INFO_KIND_CONSTRUCTOR=''
HAVE_GCC_AVX='TRUE'
HAVE_GCC_BUILTIN_ATOMIC='TRUE'
HAVE_GCC_FNO_ENFORCE_EH_SPECS=''
HAVE_GCC_FNO_SIZED_DEALLOCATION='TRUE'
HAVE_GCC_GGDB2='TRUE'
HAVE_GCC_SPLIT_DWARF=''
HAVE_GCC_STACK_CLASH_PROTECTION='TRUE'
HAVE_GNUMAKE_FILE_FUNC='TRUE'
HAVE_LD_BSYMBOLIC_FUNCTIONS='TRUE'
HAVE_LD_HASH_STYLE='TRUE'
HAVE_POSIX_FALLOCATE=''
HAVE_WDEPRECATED_COPY_DTOR='TRUE'
HELP_OMINDEX_PAGE='TRUE'
HELP_ONLINE='TRUE'
HOST_PLATFORM='x86_64-redhat-linux-gnu'
HSQLDB_JAR=''
HSQLDB_USE_JDBC_4_1=''
HUNSPELL_CFLAGS=''
HUNSPELL_LIBS=''
HYPHEN_LIB=''
HYPH_SYSTEM_DIR='file://yes'
ICECC_VERSION=''
ICECREAM_RUN=''
ICU_CFLAGS=''
ICU_LIBS=''
ICU_MAJOR=''
ICU_MINOR=''
ICU_RECLASSIFIED_CONDITIONAL_JAPANESE_STARTER=''
ICU_RECLASSIFIED_HEBREW_LETTER=''
ICU_RECLASSIFIED_PREPEND_SET_EMPTY=''
ICU_UCHAR_TYPE=''
ILIB=''
ILIB_FOR_BUILD=''
INSTALLDIR=''
INSTALLDIRNAME=''
INSTALL_NAME_TOOL=''
INSTDIR='/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2/instdir'
INSTDIR_FOR_BUILD='/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2/instdir'
INSTROOT='/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2/instdir'
INSTROOTBASE='/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2/instdir'
INSTROOT_FOR_BUILD='/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2/instdir'
INTROSPECTION_CFLAGS=''
INTROSPECTION_COMPILER=''
INTROSPECTION_GENERATE=''
INTROSPECTION_GIRDIR=''
INTROSPECTION_LIBS=''
INTROSPECTION_MAKEFILE=''
INTROSPECTION_SCANNER=''
INTROSPECTION_TYPELIBDIR=''
ISYSTEM='-isystem '
IWYU_PATH=''
JAVACFLAGS=''
JAVACOMPILER=''
JAVADOC=''
JAVADOCISGJDOC=''
JAVAIFLAGS=''
JAVAIFLAGS_FOR_BUILD=''
JAVAINTERPRETER=''
JAVA_CLASSPATH_NOT_SET=''
JAVA_HOME=''
JAVA_HOME_FOR_BUILD=''
JAVA_SOURCE_VER=''
JAVA_TARGET_VER=''
JAWTLIB=''
JDK=''
JDK_FOR_BUILD=''
JFREEREPORT_JAR=''
JITC_PROCESSOR_TYPE=''
JVM_ONE_PATH_CHECK=''
KF5_CFLAGS=''
KF5_CONFIG=''
KF5_LIBS=''
KRB5_LIBS=''
LANGUAGETOOL_EXTENSION_PACK=''
LCMS2_CFLAGS=''
LCMS2_LIBS=''
LDFLAGS='-Wl,-z,relro -Wl,--as-needed -Wl,--gc-sections -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto=auto -flto-partition=none -fuse-linker-plugin -fuse-ld=gold'
LD_GC_SECTIONS='-Wl,--gc-sections'
LD_PLUGIN=''
LFS_CFLAGS=''
LIBASSUAN_CFLAGS=''
LIBASSUAN_LIBS=''
LIBATOMIC_OPS_CFLAGS=''
LIBATOMIC_OPS_LIBS=''
LIBBASE_JAR=''
LIBCMIS_CFLAGS='-isystem /usr/include/libcmis-0.5 -isystem /usr/include/libxml2 '
LIBCMIS_LIBS=' -lcmis-0.5 -lxml2'
LIBDIR=''
LIBEOT_CFLAGS=''
LIBEOT_LIBS=''
LIBEXSLT_CFLAGS=''
LIBEXSLT_LIBS=''
LIBEXTTEXTCAT_CFLAGS=''
LIBEXTTEXTCAT_LIBS=''
LIBFONTS_JAR=''
LIBFORMULA_JAR=''
LIBGCRYPT_CFLAGS=''
LIBGCRYPT_CONFIG=''
LIBGCRYPT_LIBS=''
LIBJPEG_CFLAGS=''
LIBJPEG_LIBS=''
LIBLANGTAG_CFLAGS=''
LIBLANGTAG_LIBS=''
LIBLAYOUT_JAR=''
LIBLOADER_JAR=''
LIBMARIADB=''
LIBMARIADB_PATH=''
LIBNUMBERTEXT_CFLAGS=''
LIBNUMBERTEXT_LIBS=''
LIBOBJS=''
LIBO_BIN_FOLDER='program'
LIBO_BIN_FOLDER_FOR_BUILD='program'
LIBO_ETC_FOLDER='program'
LIBO_LIB_FOLDER='program'
LIBO_LIB_FOLDER_FOR_BUILD='program'
LIBO_LIB_PYUNO_FOLDER='program'
LIBO_SHARE_FOLDER='share'
LIBO_SHARE_HELP_FOLDER='help'
LIBO_SHARE_JAVA_FOLDER='program/classes'
LIBO_SHARE_PRESETS_FOLDER='presets'
LIBO_SHARE_READMES_FOLDER='readmes'
LIBO_SHARE_RESOURCE_FOLDER='program/resource'
LIBO_URE_BIN_FOLDER='program'
LIBO_URE_ETC_FOLDER='program'
LIBO_URE_LIB_FOLDER='program'
LIBO_URE_LIB_FOLDER_FOR_BUILD='program'
LIBO_URE_MISC_FOLDER='program'
LIBO_URE_MISC_FOLDER_FOR_BUILD='program'
LIBO_URE_SHARE_JAVA_FOLDER='program/classes'
LIBO_VERSION_MAJOR='7'
LIBO_VERSION_MICRO='3'
LIBO_VERSION_MINOR='1'
LIBO_VERSION_PATCH='2-3'
LIBO_VERSION_SUFFIX='.fc35'
LIBO_VERSION_SUFFIX_SUFFIX=''
LIBPNG_CFLAGS=''
LIBPNG_LIBS=''
LIBREPOSITORY_JAR=''
LIBS=''
LIBSERIALIZER_JAR=''
LIBTOMMATH_CFLAGS=''
LIBTOMMATH_LIBS=''
LIBTOOL=''
LIBXML_CFLAGS=''
LIBXML_JAR=''
LIBXML_LIBS=''
LIBXSLT_CFLAGS=''
LIBXSLT_LIBS=''
LLVM_CONFIG=''
LO_CLANG_CC=''
LO_CLANG_CXX=''
LO_CLANG_CXXFLAGS_INTRINSICS_AVX2=''
LO_CLANG_CXXFLAGS_INTRINSICS_AVX512=''
LO_CLANG_CXXFLAGS_INTRINSICS_AVX=''
LO_CLANG_CXXFLAGS_INTRINSICS_F16C=''
LO_CLANG_CXXFLAGS_INTRINSICS_FMA=''
LO_CLANG_CXXFLAGS_INTRINSICS_SSE2=''
LO_CLANG_CXXFLAGS_INTRINSICS_SSE41=''
LO_CLANG_CXXFLAGS_INTRINSICS_SSE42=''
LO_CLANG_CXXFLAGS_INTRINSICS_SSSE3=''
LO_ELFCHECK_ALLOWLIST=''
LO_PATH=''
LTLIBOBJS=''
MACOSX_BUNDLE_IDENTIFIER=''
MACOSX_BUNDLE_SHORTVERSION='7.1.3.2-3'
MACOSX_BUNDLE_VERSION='7.1.3.2-3.fc35'
MACOSX_CODESIGNING_IDENTITY=''
MACOSX_DEPLOYMENT_TARGET=''
MACOSX_PACKAGE_SIGNING_IDENTITY=''
MACOSX_SDK_PATH=''
MAC_OS_X_VERSION_MAX_ALLOWED=''
MAC_OS_X_VERSION_MIN_REQUIRED=''
MANDIR=''
MARIADBCONFIG=''
MARIADBC_MAJOR=''
MARIADBC_MICRO=''
MARIADBC_MINOR=''
MARIADB_CFLAGS=''
MARIADB_LIBS=''
MDDS_CFLAGS=''
MDDS_LIBS=''
MERGELIBS=''
MINGWCXX=''
MINGWSTRIP=''
ML_EXE=''
MOC5=''
MPL_SUBSET=''
MSGFMT=''
MSGUNIQ=''
MSM_PATH=''
MSPUB_CFLAGS=''
MSPUB_LIBS=''
MSVC_CXX=''
MSVC_DLLS=''
MSVC_DLL_PATH=''
MSVC_USE_DEBUG_RUNTIME=''
MWAW_CFLAGS=''
MWAW_LIBS=''
MYTHES_CFLAGS=''
MYTHES_LIBS=''
NASM=''
NEON_CFLAGS=''
NEON_LIBS=''
NEON_VERSION=''
NLPSOLVER_EXTENSION_PACK=''
NM='/usr/bin/gcc-nm'
NSS_CFLAGS=''
NSS_LIBS=''
NUMBERTEXT_EXTENSION_PACK=''
OBJCFLAGS=''
OBJCXXFLAGS=''
OBJDUMP='objdump'
OBJEXT='o'
ODFGEN_CFLAGS=''
ODFGEN_LIBS=''
ODFVALIDATOR=''
ODFVALIDATOR_JAR=''
OFFICEOTRON=''
OFFICEOTRON_JAR=''
OOO_JUNIT_JAR=''
OOO_VENDOR=''
OPENSSL_CFLAGS=''
OPENSSL_LIBS=''
OPENSYMBOL_TTF=''
ORCUS_CFLAGS=''
ORCUS_LIBS=''
OS='LINUX'
OS_FOR_BUILD='LINUX'
PACKAGE_BUGREPORT=''
PACKAGE_NAME='LibreOffice'
PACKAGE_STRING='LibreOffice 7.1.3.2'
PACKAGE_TARNAME='libreoffice'
PACKAGE_URL='http://documentfoundation.org/'
PACKAGE_VERSION='7.1.3.2-3.fc35'
PAGEMAKER_CFLAGS=''
PAGEMAKER_LIBS=''
PARALLELISM=''
PATCH=''
PATH_SEPARATOR=':'
PCH_CODEGEN=''
PCH_DEBUGINFO=''
PCH_INSTANTIATE_TEMPLATES=''
PCH_NO_CODEGEN=''
PERL='/usr/bin/perl'
PGCONFIG=''
PKGFORMAT=''
PKGMK=''
PKG_CONFIG='/usr/bin/pkg-config'
PKG_CONFIG_LIBDIR=''
PKG_CONFIG_PATH=':/usr/lib64/pkgconfig:/usr/share/pkgconfig'
PLATFORMID='linux_x86_64'
POPPLER_CFLAGS=''
POPPLER_LIBS=''
POSTGRESQL_CFLAGS=''
POSTGRESQL_INC=''
POSTGRESQL_LIB=''
POSTGRESQL_LIBS=''
PREFIXDIR=''
PRODUCTNAME='G2V LibreOffice Suite'
PRODUCTNAME_WITHOUT_SPACES='G2VLibreOfficeSuite'
PRODUCTVERSION='7.1'
PROGRESSBARCOLOR=''
PROGRESSFRAMECOLOR=''
PROGRESSPOSITION=''
PROGRESSSIZE=''
PROGRESSTEXTBASELINE=''
PROGRESSTEXTCOLOR=''
PTHREAD_CFLAGS=''
PTHREAD_LIBS=''
PYTHON=''
PYTHONWARNINGS=''
PYTHON_CFLAGS=''
PYTHON_EXEC_PREFIX=''
PYTHON_FOR_BUILD=''
PYTHON_LIBS=''
PYTHON_PLATFORM=''
PYTHON_PREFIX=''
PYTHON_VERSION=''
PYTHON_VERSION_MAJOR=''
PYTHON_VERSION_MINOR=''
P_SEP=':'
QMAKE5=''
QRCODEGEN_CFLAGS=''
QRCODEGEN_LIBS=''
QT5_CFLAGS=''
QT5_GOBJECT_CFLAGS=''
QT5_GOBJECT_LIBS=''
QT5_HAVE_GOBJECT=''
QT5_LIBS=''
QT5_XCB_CFLAGS=''
QT5_XCB_ICCCM_CFLAGS=''
QT5_XCB_ICCCM_LIBS=''
QT5_XCB_LIBS=''
QXP_CFLAGS=''
QXP_LIBS=''
RANLIB='/usr/bin/gcc-ranlib'
RAPTOR_MAJOR=''
RASQAL_MAJOR=''
READELF='readelf'
REDLAND_CFLAGS=''
REDLAND_LIBS=''
REDLAND_MAJOR=''
REVENGE_CFLAGS=''
REVENGE_LIBS=''
RHINO_JAR=''
RPM=''
RTL_ARCH='X86_64'
RTL_OS='Linux'
SAC_JAR=''
SCPDEFS=' -DWITH_HELP'
SDKDIRNAME='sdk'
SDKDIRNAME_FOR_BUILD='sdk'
SED='/usr/bin/sed'
SERF_CFLAGS=''
SERF_LIBS=''
SHA1SUM=''
SHA256SUM=''
SHELL='/bin/sh'
SHOWINCLUDES_PREFIX=''
SOLARINC='-I/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2/include '
SORT=''
SPLIT_APP_MODULES=''
SPLIT_OPT_FEATURES=''
SRC_ROOT='/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2'
STAROFFICE_CFLAGS=''
STAROFFICE_LIBS=''
STRIP='strip'
STRIP_COMPONENTS='--strip-components'
SYSBASE=''
SYSTEM_ABW=''
SYSTEM_APR=''
SYSTEM_BLUEZ=''
SYSTEM_BOOST=''
SYSTEM_BOX2D=''
SYSTEM_BSH=''
SYSTEM_BZIP2=''
SYSTEM_CAIRO=''
SYSTEM_CDR=''
SYSTEM_CLUCENE=''
SYSTEM_COINMP=''
SYSTEM_CPPUNIT=''
SYSTEM_CURL=''
SYSTEM_DICTS='TRUE'
SYSTEM_EPOXY=''
SYSTEM_EPUBGEN=''
SYSTEM_ETONYEK=''
SYSTEM_EXPAT=''
SYSTEM_FIREBIRD=''
SYSTEM_FONTCONFIG='TRUE'
SYSTEM_FREEHAND=''
SYSTEM_FREETYPE=''
SYSTEM_GENBRK=''
SYSTEM_GENCCODE=''
SYSTEM_GENCMN=''
SYSTEM_GLM=''
SYSTEM_GPGMEPP=''
SYSTEM_GRAPHITE=''
SYSTEM_HARFBUZZ=''
SYSTEM_HSQLDB=''
SYSTEM_HUNSPELL=''
SYSTEM_HYPH=''
SYSTEM_ICU=''
SYSTEM_JFREEREPORT=''
SYSTEM_LCMS2=''
SYSTEM_LIBATOMIC_OPS=''
SYSTEM_LIBCMIS='TRUE'
SYSTEM_LIBEOT=''
SYSTEM_LIBEXTTEXTCAT=''
SYSTEM_LIBEXTTEXTCAT_DATA=''
SYSTEM_LIBJPEG=''
SYSTEM_LIBLANGTAG=''
SYSTEM_LIBNUMBERTEXT=''
SYSTEM_LIBNUMBERTEXT_DATA=''
SYSTEM_LIBORCUS=''
SYSTEM_LIBPNG=''
SYSTEM_LIBTOMMATH=''
SYSTEM_LIBXML=''
SYSTEM_LIBXML_FOR_BUILD=''
SYSTEM_LIBXSLT=''
SYSTEM_LIBXSLT_FOR_BUILD=''
SYSTEM_LPSOLVE=''
SYSTEM_MARIADB_CONNECTOR_C=''
SYSTEM_MDDS=''
SYSTEM_MSPUB=''
SYSTEM_MWAW=''
SYSTEM_MYTHES=''
SYSTEM_NEON=''
SYSTEM_NSS=''
SYSTEM_ODBC_HEADERS=''
SYSTEM_ODFGEN=''
SYSTEM_OPENLDAP=''
SYSTEM_OPENSSL=''
SYSTEM_ORCUS=''
SYSTEM_PAGEMAKER=''
SYSTEM_POPPLER=''
SYSTEM_POSTGRESQL=''
SYSTEM_PYTHON=''
SYSTEM_QRCODEGEN=''
SYSTEM_QXP=''
SYSTEM_REDLAND=''
SYSTEM_REVENGE=''
SYSTEM_RHINO=''
SYSTEM_SERF=''
SYSTEM_STAROFFICE=''
SYSTEM_UCPP=''
SYSTEM_VISIO=''
SYSTEM_WPD=''
SYSTEM_WPG=''
SYSTEM_WPS=''
SYSTEM_XMLSEC=''
SYSTEM_ZLIB=''
SYSTEM_ZMF=''
TARFILE_LOCATION='/home/tkloczko/rpmbuild/SOURCES'
TEMP_DIRECTORY=''
TESTINSTALLDIR=''
THES_SYSTEM_DIR='file://yes'
TLS=''
TOUCH=''
UCRTSDKDIR=''
UCRTVERSION=''
UCRT_REDISTDIR=''
UNOWINREG_DLL='185d60944ea767075d27247c3162b3bc-unowinreg.dll'
UNZIP=''
UPDATE_CONFIG=''
USE_AVMEDIA_DUMMY=''
USE_LD='-fuse-ld=gold'
USE_LIBRARY_BIN_TAR=''
USE_XINERAMA=''
USING_X11='TRUE'
UUIDGEN=''
VALGRIND_CFLAGS=''
VCVER=''
VISIO_CFLAGS=''
VISIO_LIBS=''
WGET=''
WINDOWS_BUILD_SIGNING='FALSE'
WINDOWS_SDK_HOME=''
WINDOWS_SDK_LIB_SUBDIR=''
WINDOWS_SDK_VERSION=''
WINDOWS_SDK_WILANGID=''
WINDOWS_X64=''
WINDRES=''
WINE=''
WIN_GREP=''
WIN_LS=''
WIN_TOUCH=''
WITH_COMPAT_OOWRAPPERS=''
WITH_EXTENSION_INTEGRATION=''
WITH_EXTRA_EXTENSIONS=''
WITH_FONTS=''
WITH_GALLERY_BUILD='TRUE'
WITH_GSSAPI=''
WITH_KRB5=''
WITH_LANG=''
WITH_LANG_LIST=''
WITH_LINKER_HASH_STYLE='gnu'
WITH_LOCALES=''
WITH_MYSPELL_DICTS=''
WITH_POOR_HELP_LOCALIZATIONS=''
WITH_THEMES=''
WITH_WEBDAV='neon'
WORKDIR='/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2/workdir'
WORKDIR_FOR_BUILD='/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2/workdir'
WPD_CFLAGS=''
WPD_LIBS=''
WPG_CFLAGS=''
WPG_LIBS=''
WPS_CFLAGS=''
WPS_LIBS=''
XINERAMA_LINK=''
XMKMF=''
XMLLINT=''
XMLSEC_CFLAGS=''
XMLSEC_LIBS=''
XRANDR_CFLAGS=''
XRANDR_LIBS=''
XRENDER_CFLAGS=''
XRENDER_LIBS=''
XSLTPROC=''
X_CFLAGS=''
X_EXTRA_LIBS=''
X_LIBS=''
X_PRE_LIBS=''
ZIP=''
ZLIB_CFLAGS=''
ZLIB_LIBS=''
ZMF_CFLAGS=''
ZMF_LIBS=''
ac_ct_CC=''
ac_ct_CXX=''
bindir='/usr/bin'
build='x86_64-redhat-linux-gnu'
build_alias='x86_64-redhat-linux-gnu'
build_cpu='x86_64'
build_os='linux-gnu'
build_vendor='redhat'
datadir='/usr/share'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='/usr'
host='x86_64-redhat-linux-gnu'
host_alias='x86_64-redhat-linux-gnu'
host_cpu='x86_64'
host_os='linux-gnu'
host_vendor='redhat'
htmldir='${docdir}'
includedir='/usr/include'
infodir='/usr/share/info'
libdir='/usr/lib64'
libexecdir='/usr/libexec'
localedir='${datarootdir}/locale'
localstatedir='/var'
mandir='/usr/share/man'
nodep=''
oldincludedir='/usr/include'
pdfdir='${docdir}'
pkgpyexecdir=''
pkgpythondir=''
prefix='/usr'
program_transform_name='s,x,x,'
psdir='${docdir}'
pyexecdir=''
pythondir=''
runstatedir='/run'
sbindir='/usr/sbin'
sharedstatedir='/var/lib'
sysconfdir='/etc'
target_alias=''
x_AFLAGS='#'
x_CFLAGS=''
x_CXXFLAGS=''
x_Cygwin='#'
x_GNUCP=''
x_ICECC_VERSION=''
x_LDFLAGS=''
x_LO_ELFCHECK_ALLOWLIST=''
x_OBJCFLAGS='#'
x_OBJCXXFLAGS='#'

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "LibreOffice"
#define PACKAGE_TARNAME "libreoffice"
#define PACKAGE_VERSION "7.1.3.2"
#define PACKAGE_STRING "LibreOffice 7.1.3.2"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_URL "http://documentfoundation.org/"
#define LIBO_VERSION_MAJOR 7
#define LIBO_VERSION_MINOR 1
#define LIBO_VERSION_MICRO 3
#define LIBO_VERSION_PATCH 2-3
#define LIBO_THIS_YEAR 2021
#define SRCDIR "/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2"
#define SRC_ROOT "/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2"
#define BUILDDIR "/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2"
#define HAVE_STDIO_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_STRINGS_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_UNISTD_H 1
#define STDC_HEADERS 1
#define HAVE_FEATURE_DESKTOP 1
#define HAVE_FEATURE_MULTIUSER_ENVIRONMENT 1
#define HAVE_FEATURE_AVMEDIA 1
#define HAVE_FEATURE_DBCONNECTIVITY 1
#define HAVE_FEATURE_EXTENSIONS 1
#define HAVE_FEATURE_SCRIPTING 1
#define HAVE_FEATURE_JAVA 1
#define LIBO_BIN_FOLDER "program"
#define LIBO_ETC_FOLDER "program"
#define LIBO_LIBEXEC_FOLDER "program"
#define LIBO_LIB_FOLDER "program"
#define LIBO_LIB_PYUNO_FOLDER "program"
#define LIBO_SHARE_FOLDER "share"
#define LIBO_SHARE_HELP_FOLDER "help"
#define LIBO_SHARE_JAVA_FOLDER "program/classes"
#define LIBO_SHARE_PRESETS_FOLDER "presets"
#define LIBO_SHARE_RESOURCE_FOLDER "program/resource"
#define LIBO_SHARE_SHELL_FOLDER "program/shell"
#define LIBO_URE_BIN_FOLDER "program"
#define LIBO_URE_ETC_FOLDER "program"
#define LIBO_URE_LIB_FOLDER "program"
#define LIBO_URE_MISC_FOLDER "program"
#define LIBO_URE_SHARE_JAVA_FOLDER "program/classes"
#define WORKDIR "/home/tkloczko/rpmbuild/BUILD/libreoffice-7.1.3.2/workdir"
#define HAVE_SYSLOG_H 1
#define HAVE_CUPS_H 1
#define SIZEOF_LONG 8
#define SIZEOF_SHORT 2
#define SIZEOF_INT 4
#define SIZEOF_LONG_LONG 8
#define SIZEOF_DOUBLE 8
#define SIZEOF_VOIDP 8
#define ALIGNOF_SHORT 2
#define ALIGNOF_INT 4
#define ALIGNOF_LONG 8
#define ALIGNOF_DOUBLE 8
#define SAL_TYPES_SIZEOFSHORT 2
#define SAL_TYPES_SIZEOFINT 4
#define SAL_TYPES_SIZEOFLONG 8
#define SAL_TYPES_SIZEOFLONGLONG 8
#define SAL_TYPES_SIZEOFPOINTER 8
#define SAL_TYPES_ALIGNMENT2 2
#define SAL_TYPES_ALIGNMENT4 4
#define SAL_TYPES_ALIGNMENT8 8
#define ENABLE_RUNTIME_OPTIMIZATIONS 1
#define USE_SDT_PROBES 1
#define HAVE_GCC_BUILTIN_ATOMIC 1
#define HAVE_CXXABI_H_BASE_CLASS_TYPE_INFO 1
#define HAVE_CXXABI_H_CLASS_TYPE_INFO 1
#define HAVE_CXXABI_H_CXA_ALLOCATE_EXCEPTION 1
#define HAVE_CXXABI_H_CXA_GET_GLOBALS 1
#define HAVE_CXXABI_H_CXA_CURRENT_EXCEPTION_TYPE 1
#define HAVE_CXXABI_H_CXA_THROW 1
#define HAVE_CXXABI_H_SI_CLASS_TYPE_INFO 1
#define HAVE_CXXABI_H_VMI_CLASS_TYPE_INFO 1
#define HAVE_CPP_CONSTEVAL 1
#define HAVE_CPP_SPAN 1
#define HAVE_P1155R3 1

configure: exit 1
Comment 1 Julien Nabet 2021-05-31 14:59:50 UTC
Stephan: noticing commit 60b6b1eae563c727160724a8671844bf8136f5d5
Author: Stephan Bergmann <sbergman@redhat.com>
Date:   Tue Sep 20 08:06:25 2016 +0200

    Remove obsolete HAVE_GCC_VISIBILITY_FEATURE check
    
    <https://gcc.gnu.org/bugzilla/show_bug.cgi?id=26905> "default-visibility class
    symbol improperly resolved as hidden-visibility" is fixed ever since GCC 4.2.
    
    Make this a fatal configure error for now.  The check should be removed
    completely after LO 5.3 branch-off.

Thought you might be interested in this one.
Comment 2 Stephan Bergmann 2021-06-01 08:03:25 UTC
(In reply to Tomasz Kłoczko from comment #0)
[...]
> configure:21008: checking if g++ has a visibility bug with class-level
> attributes (GCC bug 26905)
> configure:21041: result: yes
> configure:21044: error: Your gcc is not -fvisibility=hidden safe. This is no
> longer supported.

That configure check needs assembler output (-S), thus doesn't use AC_COMPILE_IFELSE, thus unfortunately doesn't write to config.log (1) the failing program (though that's easily visible in configure.ac), (2) the compiler invocation command line, nor (3) the compiler's diagnostic output.  To find out more, you would need to reconstruct 1--3 manually and provide all of them here.
Comment 3 Aron Budea 2021-07-19 22:54:20 UTC
Tomasz, can you please provide the details requested in comment 2?
Comment 4 Tomasz Kłoczko 2021-07-20 11:57:41 UTC
OK so what exactly you want to to provide?
Comment 5 Stephan Bergmann 2021-07-20 12:29:56 UTC
(In reply to Tomasz Kłoczko from comment #4)
> OK so what exactly you want to to provide?

Look into configure.ac (search for "has a visibility bug with class-level attributes (GCC bug 26905)"), it constructs a visibility.cxx there with content

  #pragma GCC visibility push(hidden)
  struct __attribute__ ((visibility ("default"))) TestStruct {
    static void Init();
  };
  __attribute__ ((visibility ("default"))) void TestFunc() {
    TestStruct::Init();
  }

and command line how to invoke it,

  $CXX $CXXFLAGS $CPPFLAGS -fpic -S visibility.cxx

(e.g., prepend echo to easily see what the variables expand to).  What you need to provide here is the expanded command line (which you must then manually invoke), any stdout/-err output from the invocation, the invocation's exit code (i.e., success or failure), and the content of the resulting visibility.s (if any).
Comment 6 QA Administrators 2022-02-10 03:41:48 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2022-03-13 03:37:32 UTC
Dear Tomasz Kłoczko,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp